[PATCH] Remove "unreachable" ifdef'd code

There's some x86 asm conditional code in D_PolysetCalcGradients, but
the function is only defined when not using asm. Cleanup the unused
portion.

diff -urN a/NQ/d_polyse.c head/NQ/d_polyse.c
--- a/NQ/d_polyse.c	2006-05-27 23:00:25.000000000 +0930
+++ head/NQ/d_polyse.c	2006-05-27 22:51:17.000000000 +0930
@@ -558,13 +558,8 @@
     r_zistepy = (int)((t1 * p00_minus_p20 - t0 * p10_minus_p20) *
 		      ystepdenominv);
 
-#ifdef USE_X86_ASM
-    a_sstepxfrac = r_sstepx << 16;
-    a_tstepxfrac = r_tstepx << 16;
-#else
     a_sstepxfrac = r_sstepx & 0xFFFF;
     a_tstepxfrac = r_tstepx & 0xFFFF;
-#endif
 
     a_ststepxwhole = skinwidth * (r_tstepx >> 16) + (r_sstepx >> 16);
 }
diff -urN a/QW/client/d_polyse.c head/QW/client/d_polyse.c
--- a/QW/client/d_polyse.c	2006-05-27 23:00:25.000000000 +0930
+++ head/QW/client/d_polyse.c	2006-05-27 22:51:26.000000000 +0930
@@ -558,13 +558,8 @@
     r_zistepy = (int)((t1 * p00_minus_p20 - t0 * p10_minus_p20) *
 		      ystepdenominv);
 
-#ifdef USE_X86_ASM
-    a_sstepxfrac = r_sstepx << 16;
-    a_tstepxfrac = r_tstepx << 16;
-#else
     a_sstepxfrac = r_sstepx & 0xFFFF;
     a_tstepxfrac = r_tstepx & 0xFFFF;
-#endif
 
     a_ststepxwhole = skinwidth * (r_tstepx >> 16) + (r_sstepx >> 16);
 }
